package com.gemho.meizhou;

import ch.qos.logback.core.util.TimeUtil;
import com.gemho.meizhou.Util.ThreadUtil;
import com.gemho.meizhou.service.UploadCloudServiceImp;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

import java.text.DecimalFormat;

@SpringBootApplication
public class SjzApplication {
    private static final Logger logger = LoggerFactory.getLogger(SjzApplication.class);


    public static void main(String[] args) {
        ConfigurableApplicationContext cac = SpringApplication.run(SjzApplication.class, args);
        UploadCloudServiceImp uploadCloudServiceImp = cac.getBean(UploadCloudServiceImp.class);
        ThreadUtil t1 = new ThreadUtil(uploadCloudServiceImp, "ten");
        // ThreadUtil t2 = new ThreadUtil(uploadCloudServiceImp, "hour");
        t1.start();
        // t2.start();

    }

}
